import { BlockElement } from '../../models/element';
export declare class OptionCreator {
    #private;
    private el;
    allowColor?: boolean;
    allowImage?: boolean;
    allowOther?: boolean;
    label: BlockElement.LabelOptionCreator;
    name?: string;
    other?: boolean;
    placeholder?: string;
    value: BlockElement.Option[];
    private onOther;
    private handleInput;
    private handleKeyDown;
    private handleOther;
    private handleRemove;
    private handleColor;
    private handleImage;
    watchValue(value: BlockElement.Option[]): void;
    addOption(focus?: boolean): Promise<void>;
    focusLast(nextTick?: boolean): Promise<void>;
    focusOption(index: number, nextTick?: boolean): Promise<void>;
    private uploadImage;
    private deleteImage;
    private updateValue;
    componentWillLoad(): void;
    renderTooltip(icon: string, content?: string): any;
    renderMetadata(option: BlockElement.Option): any;
    renderOption(option: BlockElement.Option, index: number, other?: boolean): any;
    render(): any[];
}
